# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLOListElement Class Reference

Ordered list. More...

`#include <html_list.h>`

Inheritance diagram for DOM::HTMLOListElement:

[legend]
Collaboration diagram for DOM::HTMLOListElement:

[legend]
List of all members.

## Public Member Functions

| HTMLOListElement (const HTMLOListElement &other)
| HTMLOListElement (const Node &other)
HTMLOListElement & | operator= (const HTMLOListElement &other)
HTMLOListElement & | operator= (const Node &other)
bool | compact () const
void | setCompact (bool)
long | start () const
void | setStart (long)
DOMString | type () const
void | setType (const DOMString &)

## Protected Member Functions

| HTMLOListElement (HTMLOListElementImpl *impl)

## Detailed Description

Ordered list.

See the OL element definition in HTML 4.0.

Definition at line 226 of file html_list.h.

## Member Function Documentation

bool HTMLOListElement::compact | ( |  | ) | const

| Reduce spacing between list items. See the compact attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 254 of file html_list.cpp. References DOM::DOMString::isNull().

void HTMLOListElement::setCompact | ( | bool |  | ) |

| see compact Definition at line 260 of file html_list.cpp.

long HTMLOListElement::start | ( |  | ) | const

| Starting sequence number. See the start attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 271 of file html_list.cpp. References DOM::DOMString::toInt().

void HTMLOListElement::setStart | ( | long |  | ) |

| see start Definition at line 277 of file html_list.cpp.

DOMString HTMLOListElement::type | ( |  | ) | const

| Numbering style. See the type attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 286 of file html_list.cpp.

void HTMLOListElement::setType | ( | const DOMString & |  | ) |

| see type Definition at line 292 of file html_list.cpp.

The documentation for this class was generated from the following files:

- html_list.h
- html_list.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:26 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003